# Uses of Interface
javax.management.modelmbean.ModelMBeanInfo

Packages that use ModelMBeanInfo
Package
Description
javax.management.modelmbean
Provides the definition of the ModelMBean classes.

## Uses of ModelMBeanInfo in javax.management.modelmbean

Classes in javax.management.modelmbean that implement ModelMBeanInfo
Modifier and Type
Class
Description
`class`
`ModelMBeanInfoSupport`
This class represents the meta data for ModelMBeans.
Methods in javax.management.modelmbean with parameters of type ModelMBeanInfo
Modifier and Type
Method
Description
`void`
ModelMBean.`setModelMBeanInfo(ModelMBeanInfo inModelMBeanInfo)`
Initializes a ModelMBean object using ModelMBeanInfo passed in.
`void`
RequiredModelMBean.`setModelMBeanInfo(ModelMBeanInfo mbi)`
Initializes a ModelMBean object using ModelMBeanInfo passed in.
Constructors in javax.management.modelmbean with parameters of type ModelMBeanInfo
Modifier
Constructor
Description
``
`ModelMBeanInfoSupport(ModelMBeanInfo mbi)`
Constructs a ModelMBeanInfoSupport which is a duplicate of the given ModelMBeanInfo.
``
`RequiredModelMBean(ModelMBeanInfo mbi)`
Constructs a RequiredModelMBean object using ModelMBeanInfo passed in.